com.beaglebuddy.mpeg.enums

## Enum SourceFrequency

- java.lang.Object
- - java.lang.Enum<SourceFrequency>
  - - com.beaglebuddy.mpeg.enums.SourceFrequency

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SourceFrequency>

      public enum SourceFrequency
      extends java.lang.Enum<SourceFrequency>

  The list of source frequencies supported by the LAME encoder.
  See Also:
    `LAMEHeader`, LAME Header Format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FREQ_32KHZ` 32 khz or smaller
    `FREQ_44_1KHZ` 44.1 khz
    `FREQ_48_KHZ` 48 khz
    `FREQ_HIGHER` higher than 48 khz

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the source frequency.
    `java.lang.String` | `toString()` gets a string representation of the source frequency enum.
    `static SourceFrequency` | `valueOf(int frequency)` converts an integral value to its corresponding LAME source frequency enum.
    `static SourceFrequency` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SourceFrequency[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FREQ_32KHZ

          public static final SourceFrequency FREQ_32KHZ

      32 khz or smaller

    - #### FREQ_44_1KHZ

          public static final SourceFrequency FREQ_44_1KHZ

      44.1 khz

    - #### FREQ_48_KHZ

          public static final SourceFrequency FREQ_48_KHZ

      48 khz

    - #### FREQ_HIGHER

          public static final SourceFrequency FREQ_HIGHER

      higher than 48 khz

  - ### Method Detail

    - #### values

          public static SourceFrequency[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceFrequency c : SourceFrequency.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceFrequency valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the source frequency.
      Returns:
        the name of the source frequency.

    - #### valueOf

          public static SourceFrequency valueOf(int frequency)
                                         throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding LAME source frequency enum.
      Parameters:
        `frequency` - integral value to be converted to a LAME source frequency enum.
      Returns:
        the LAME source frequency enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid LAME source frequency.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the source frequency enum.
      Overrides:
        `toString` in class `java.lang.Enum<SourceFrequency>`
      Returns:
        a string representation of the source frequency enum.